#include "defines.h"
#include <utime.h>
#include <time.h>
#include <sys/time.h>
#include <fcntl.h>

#define nil ((void*)0)

char*
strsep(char **sp, const char *delim)
{
	char *s, *t;

	s = *sp;
	if(s == nil)
		return nil;
	t = strpbrk(s, delim);
	if(t == nil){
		*sp = nil;
		return nil;
	}
	*t++ = '\0';
	*sp = t;
	return s;
}

int
sync(void)
{
}

int
nice(int)
{
}

int 
utimes(char *file, struct timeval *tv)
{
	/* cannot set access time anyway */
	struct utimbuf ut;

	ut.actime = tv[0].tv_sec;
	ut.modtime = tv[1].tv_sec;
	return utime(file, &ut);
}

int
mknod()
{
	errno = EINVAL;
	return -1;
}

/*
 * Sigh.  Some day.
 */
int
mkstemp(char *name)
{
	mktemp(name);
	return open(name, O_CREAT | O_TRUNC | O_RDWR, 0600);
}

/*
 * V6 cc and mv want to use link, unlink in place of rename.
 * They can't handle link returning a failure.
 */
int
link(char *buf, char *buf2)
{
	int i;
		char cmd[1000];
		sprintf(cmd, "cp %s %s", buf, buf2);
		i = system(cmd);
		if(i != 0)
			i = EINVAL;
	return i;
}
